import { da as p, cV as c, P as S, S as u, bI as m, eh as b, O as s, fj as C, Z as l, c2 as w, c3 as g, N as V, fk as f, c$ as h, az as P, a6 as o, G as d, a7 as t, a8 as a, Y as y, el as F, af as i, bJ as v, a9 as E, dB as x, em as M, F as r } from "./603b75d9.js";
import { useContext as n } from "react";
import { MarginControl as j } from "./f64a8554.js";
import { PaddingControl as I } from "./d50792b8.js";
import "react-dom";
const J = JSON.stringify(p.cascader, null, " "), L = {
  value: c("value", p.cascaderDefult),
  label: S,
  placeholder: u,
  disabled: m,
  onEvent: b,
  allowClear: s,
  options: C,
  style: l(w, "style"),
  labelStyle: l(g.filter((e) => ["accent", "validate"].includes(e.name) === !1), "labelStyle"),
  showSearch: s.DEFAULT_TRUE,
  viewRef: V,
  margin: j,
  padding: I,
  inputFieldStyle: l(f, "inputFieldStyle"),
  childrenInputFieldStyle: l(h),
  animationStyle: l(P, "animationStyle")
}, R = (e) => /* @__PURE__ */ o(d, {
  children: [/* @__PURE__ */ o(t, {
    name: a.basic,
    children: [e.options.propertyView({
      label: y("cascader.options")
    }), e.value.propertyView({
      label: y("prop.defaultValue")
    }), F(e)]
  }), ["logic", "both"].includes(n(i).editorModeStatus) && /* @__PURE__ */ o(t, {
    name: a.interaction,
    children: [e.onEvent.getPropertyView(), v(e), E(e)]
  }), ["layout", "both"].includes(n(i).editorModeStatus) && e.label.getPropertyView(), ["logic", "both"].includes(n(i).editorModeStatus) && /* @__PURE__ */ o(t, {
    name: a.advanced,
    children: [x(e), M(e)]
  }), ["layout", "both"].includes(n(i).editorModeStatus) && /* @__PURE__ */ o(d, {
    children: [/* @__PURE__ */ r(t, {
      name: a.style,
      children: e.style.getPropertyView()
    }), /* @__PURE__ */ r(t, {
      name: a.labelStyle,
      children: e.labelStyle.getPropertyView()
    }), /* @__PURE__ */ r(t, {
      name: a.inputFieldStyle,
      children: e.inputFieldStyle.getPropertyView()
    }), /* @__PURE__ */ r(t, {
      name: a.childrenInputFieldStyle,
      children: e.childrenInputFieldStyle.getPropertyView()
    }), /* @__PURE__ */ r(t, {
      name: a.animationStyle,
      hasTooltip: !0,
      children: e.animationStyle.getPropertyView()
    })]
  })]
});
export {
  L as CascaderChildren,
  R as CascaderPropertyView,
  J as defaultDataSource
};
